/**
 * EasyBeans
 * Copyright (C) 2012 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IEjbSchedule.java 6271 2012-07-10 11:10:15Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.api.interfaces;

import java.io.Serializable;
import java.util.List;

import org.ow2.util.ee.metadata.ejbjar.api.struct.IJEjbSchedule;

/**
 * This interface represents methods which can be call on
 * MethodAnnotationMetadata.<br>
 * It manages &#64;{@link javax.ejb.Schedule} and &#64;{@link javax.ejb.Schedules} annotation.
 * @author Florent Benoit
 */
public interface IEjbSchedule extends Serializable {

    /**
     * @return the list of all schedules of this method.
     */
    List<IJEjbSchedule> getJavaxEjbSchedules();

    /**
     * Adds a new jEjbSchedule on this method.
     * @param jEjbSchedule information on the schedules.
     */
    void addJavaxEjbSchedule(IJEjbSchedule jEjbSchedule);
    
    /**
     * Sets the list of jEjbSchedule on this method.
     * @param jEjbSchedules information on the schedules.
     */
    void setJavaxEjbSchedules(List<IJEjbSchedule> jEjbSchedules);
    
}
