/**
 * OW2 Util
 * Copyright (C) 2006-2012 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IEjbStatefulTimeout.java 6282 2012-09-06 13:40:07Z albertil $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.api.interfaces;

import java.io.Serializable;

import org.ow2.util.ee.metadata.ejbjar.api.struct.IJEjbStatefulTimeout;

/**
 * This interface represents methods which can be call on ClassAnnotationMetadata.<br>
 * It manages &#64;{@link javax.ejb.StatefulTimeout} annotation.
 *
 * @author Loic Albertin
 */
public interface IEjbStatefulTimeout extends Serializable {

    /**
     * @return the stateful timeout on this class.
     */
    IJEjbStatefulTimeout getJavaxEjbStatefulTimeout();

    /**
     * Sets the access stateful on this class.
     *
     * @param jEjbStatefulTimeout information on stateful timeout.
     */
    void setJavaxEjbStatefulTimeout(IJEjbStatefulTimeout jEjbStatefulTimeout);
}
